#define F_CPU 1000000
#include <avr/io.h>
#include <util/delay.h>

#define rst PB1
#define ce PB0
#define dc PB2
#define din PB3
#define clk PB4
#define podsviceni PB5
/*
void delay(int cas){
	_delay_ms(cas);
}*/

void low(char pin){
	PORTB &= ~(1<<pin);
}

void high(char pin){
	PORTB |=1 << pin;
}

void writedata(char data, char d_c){ //d_c ==1 //data
	
	if (data==1){
		high(dc); //prijima data
	}
	else if (data==0){
		low(dc); //prijima commandy
	}

	
	
	low(ce);
	

	//low(clk);

	// ODESILANI DAT
	for (char i; i<8; i++){
		if (data & 0b10000000){
			//HIGH na datapinu
			high(din);
			
		}
		else{
			//LOW na datapinu
			low(din);
		}
		//PULZ na hodinach
		high(clk);
		data = data<<1; //posunem data
		low(clk);
		
	}
	

	

	//high(clk); //asi

	//KONEC ODESILANI DAT
	high(ce); //nakonec se vrati na HIGH
	
}


void setPins(){
	//nastaveni pinu na OUT
	DDRB |= 1 << rst ;
	DDRB |= 1 << ce ;
	DDRB |= 1 << dc ;
	DDRB |= 1 << din ;
	DDRB |= 1 << clk ;
	DDRB |= 1 << podsviceni ;

	//PORTB |= 1 << podsviceni ; //zapneme podsviceni

	//pulz na resetu
	low(rst);
	high(rst);
}

void initLCD(){
	writedata(0x21, 0); // LCD Extended Commands

	writedata(0xB1, 0); //B8 nebo B1.. contrast  ... Set LCD Vop (Contrast)
	writedata(0x04, 0); // Set Temp coefficent
	writedata(0x14, 0); // LCD bias mode 1:48 ... 0x13
	writedata(0x20, 0); //basic commands
	writedata(0x0C, 0); //normal mode



	//writedata(0x09, 0); //all ON
	_delay_ms(1000);
	//writedata(0x0D, 0);

	writedata(0x80, 0); //X
	writedata(0x40, 0); //Y
	
	//writedata(0x90, 0);
	//writedata(0x20, 0);
	//writedata(0x0C, 0);
	

}


int main(void){

	setPins();
	initLCD();
	writedata(0xFF, 1);
	writedata(0xFF, 1);

	

/*
	for (int index = 0; index < 84 * 48 / 8; index++){
    	writedata(0x00, 1);
    }*/


	//PORTB |= 1<<dc;  //aby prijimal data ne prikazy


	//PORTB |= 1<< ce; // kdyz se neodesilaj data tak je low, pred odesilanim se zmeni na high

	//PORTB |= 1<<clk; //asi HIGH
	/*_delay_ms(100);

	//char data = 0b01010111;
	char data = 0x66;
	writedata(data, 1);
	_delay_ms(100);
	writedata(data, 1);
	_delay_ms(100);
	writedata(data, 1);
	_delay_ms(100);
	writedata(data, 1);
	_delay_ms(100); */
	/*for(int i;i<84;i++){
		writedata(0x00, 1);
	}*/
	
	
}

